tigase.server.xmppserver

## Interface S2SProcessor

- All Superinterfaces:
    Comparable<S2SProcessor>
  All Known Implementing Classes:
    Dialback, PacketChecker, S2SAbstractProcessor, StartTLS, StartZlib, StreamError, StreamFeatures, StreamOpen

      public interface S2SProcessor
      extends Comparable<S2SProcessor>

  Created: Dec 9, 2010 1:50:09 PM
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `init(S2SConnectionHandlerIfc<S2SIOService> handler, Map<String,Object> props)`
    `int` | `order()` Returns order of processor which is used to set order in which processors will be processing packet
    `boolean` | `process(Packet p, S2SIOService serv, Queue<Packet> results)`
    `void` | `serviceStarted(S2SIOService serv)` Method description
    `void` | `serviceStopped(S2SIOService serv)` Method description
    `void` | `streamClosed(S2SIOService serv)`
    `void` | `streamFeatures(S2SIOService serv, List<tigase.xml.Element> results)` Method description
    `String` | `streamOpened(S2SIOService serv, Map<String,String> attribs)`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Method Detail

    - #### order

          int order()

      Returns order of processor which is used to set order in which processors will be processing packet
      Returns:

    - #### serviceStarted

          void serviceStarted(S2SIOService serv)

      Method description
      Parameters:
        `serv` -

    - #### serviceStopped

          void serviceStopped(S2SIOService serv)

      Method description
      Parameters:
        `serv` -

    - #### streamFeatures

          void streamFeatures(S2SIOService serv,
                              List<tigase.xml.Element> results)

      Method description
      Parameters:
        `serv` -
        `results` -

    - #### init

          void init(S2SConnectionHandlerIfc<S2SIOService> handler,
                    Map<String,Object> props)

    - #### process

          boolean process(Packet p,
                          S2SIOService serv,
                          Queue<Packet> results)

    - #### streamClosed

          void streamClosed(S2SIOService serv)

    - #### streamOpened

          String streamOpened(S2SIOService serv,
                              Map<String,String> attribs)

Copyright © 2016 "Tigase, Inc.". All rights reserved.